Bug 1623135

Summary: Test and re-package fluentd for RHEL 8 Ruby versions
Product: Red Hat OpenStack Reporter: Anandeep Pannu <apannu>
Component: fluentdAssignee: Martin Magr <mmagr>
Status: CLOSED ERRATA QA Contact: Leonid Natapov <lnatapov>
Severity: high Docs Contact:
Priority: high    
Version: 15.0 (Stein)CC: augol, jbadiapa, lars, mburns, mmagr, mrunge, pkilambi, rmccabe, rmeggins
Target Milestone: Upstream M2Keywords: Triaged
Target Release: 15.0 (Stein)   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: fluentd-0.12.43-3.el8ost Doc Type: No Doc Update
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-09-21 11:18:39 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Anandeep Pannu 2018-08-28 14:42:32 UTC
Description of problem:
All customers require logging, which is currently (as of OSP 13) provided by fluentd. Due to ECL promoting use of rsyslog in RHEL 8, we have to consider a move to logging and forwarding using rsyslog to be compatible with ECL.  Since ECL is moving to rsyslog support, this means that we will have to start supporting  rsyslog in OSP 15, with parallel fluentd support (while indicating to customers that fluentd is being deprecated). This avoids OSP 16 (Long Life Release) having to support fluentd.   During upgrade any fluentd logs not sent to central logging will need to be converted to rsyslog logs. We need to also look at the issue of double sending of logs once the upgrade is done. 

In order to have parallel fluentd support with rsyslog in RHEL 8 we will need to re-package the fluentd packages for RHEL8 Ruby versions



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 9 Leonid Natapov 2018-12-12 10:19:55 UTC
Hey,Juan ! Please ,provide testing instructions for QA. Thanks !

Comment 10 Juan Badia Payno 2019-01-16 08:51:22 UTC
A general fluentd sanity check for RHEL is needed.

Comment 15 errata-xmlrpc 2019-09-21 11:18:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811